Unify and manage your data

Get a hierarchy connection by ID

Learn more about how to use the Get hierarchy connections API to return the definition of a hierarchy connection by ID.

Use the Get a Hierarchy connection by ID to retrieve the definition of a connection in a hierarchy instance. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

GET /{instanceId}/connections/{connectionId}GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/{instanceId}/connections/{connectionId}

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

GET /{instanceId}/connections/{connectionId}
Authorization: Bearer <token>

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
connectionIdStringThe connection ID.
parentIdStringThe entity ID of the parent object.
childIdStringThe entity ID of the child object.
startDateStringOptional. The start effective date of the connection in ISO 8601 date format.
endDateStringOptional. The end effective date of the connection in ISO 8601 date format.
createdByStringThe username of the user who created the connection.
createdTimeStringThe time when the connection was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the connection.
updatedTimeStringThe time when the connection was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

{
  "connectionId": "connId",
  "parentId": "prtId",
  "childId": "cldId",
  "startDate": "2024-01-01",
  "endDate": "2026-12-32",
  "createdBy": "john.smith@reltio.com",
  "createdTime": "2024-10-10T10:13:30",
  "updatedBy": "john.smith@reltio.com",
  "updatedTime": "2024-10-10T10:15:30"
}